package ch.aperturelabs.mobile.gamevault;

import android.app.Activity;
import android.os.Bundle;
import android.text.InputFilter.LengthFilter;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.Toast;

public class main extends Activity implements OnClickListener{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        ImageView imgSubTitle = (ImageView)findViewById(R.id.imgMainSubTitle);
        imgSubTitle.setImageResource(R.drawable.store);
        
        ImageButton ibtnStore = (ImageButton)findViewById(R.id.ibtnMainStore);
        ibtnStore.setOnClickListener(this);
        ImageButton ibtnDeals = (ImageButton)findViewById(R.id.ibtnMainDeals);
        ibtnDeals.setOnClickListener(this);
        ImageButton ibtnMygames = (ImageButton)findViewById(R.id.ibtnMainMygames);
        ibtnMygames.setOnClickListener(this);
        ImageButton ibtnSocial = (ImageButton)findViewById(R.id.ibtnMainSocialvault);
        ibtnSocial.setOnClickListener(this);
    }

	@Override
	public void onClick(View v) {
		String text;
		switch (v.getId()) {
		case R.id.ibtnMainStore:
			text="Store";
			break;
		case R.id.ibtnMainDeals:
			text="Deals";
			break;
		case R.id.ibtnMainMygames:
			text="MyGames";
			break;
		case R.id.ibtnMainSocialvault:
			text="Social";
			break;
		default:
			text="Nix";
			break;
		} 		
		Toast toast = Toast.makeText(getApplicationContext(), text, Toast.LENGTH_SHORT);
		toast.show();
	}
}